using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using MessagePack;
using System.Runtime.InteropServices;

namespace CSProject
{
    public class MsgStruct
    {
        [MessagePackObject]
        [StructLayout(LayoutKind.Sequential)]
        public struct DataStc
        {
            [Key(0)]
            public string col_name;
            [Key(1)]
            public string col_data;
        }

        [MessagePackObject]
        [StructLayout(LayoutKind.Sequential)]
        public struct DataListStc
        {
            [Key(0)]
            public List<DataStc> dataList;
        }

        [MessagePackObject]
        [StructLayout(LayoutKind.Sequential)]
        public struct RowListStc
        {
            [Key(0)]
            public List<DataListStc> rowList;
            //public List<List<DataStc>> rowList;
        }
    }
}
